import { jsx as _jsx } from "react/jsx-runtime";
import PropTypes from 'prop-types';
import { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { IconStarFilled, IconStarHalfFilled, IconStarOutline } from '../Icons';
var BASE_CLASS = "sui-MoleculeRating-Star";
var DEFAULTS = {
  value: 0,
  fullValue: 1,
  halfValue: 0.5,
  IconStarFilled: IconStarFilled,
  IconStarHalfFilled: IconStarHalfFilled,
  IconStarEmpty: IconStarOutline
};

var MoleculeRatingStar = function MoleculeRatingStar(_ref) {
  var _ref$value = _ref.value,
      value = _ref$value === void 0 ? DEFAULTS.value : _ref$value,
      _ref$fullValue = _ref.fullValue,
      fullValue = _ref$fullValue === void 0 ? DEFAULTS.fullValue : _ref$fullValue,
      _ref$halfValue = _ref.halfValue,
      halfValue = _ref$halfValue === void 0 ? DEFAULTS.halfValue : _ref$halfValue,
      index = _ref.index,
      _ref$IconStarEmpty = _ref.IconStarEmpty,
      IconStarEmpty = _ref$IconStarEmpty === void 0 ? DEFAULTS.IconStarEmpty : _ref$IconStarEmpty,
      _ref$IconStarFilled = _ref.IconStarFilled,
      IconStarFilled = _ref$IconStarFilled === void 0 ? DEFAULTS.IconStarFilled : _ref$IconStarFilled,
      _ref$IconStarHalfFill = _ref.IconStarHalfFilled,
      IconStarHalfFilled = _ref$IconStarHalfFill === void 0 ? DEFAULTS.IconStarHalfFilled : _ref$IconStarHalfFill,
      size = _ref.size;
  var StarMode = IconStarEmpty;
  if (value >= index + fullValue) StarMode = IconStarFilled;else if (value >= index + halfValue) StarMode = IconStarHalfFilled;
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(StarMode, {
      size: size
    })
  });
};

MoleculeRatingStar.displayName = 'MoleculeRatingStar';
export default MoleculeRatingStar;